package ink.wgink.pojo.app;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AppTokenUserRole
 * @Description: 用户角色
 * @Author: WangGeng
 * @Date: 2019-08-10 12:25
 * @Version: 1.0
 **/
public class AppTokenUserRole implements Serializable {

    private static final long serialVersionUID = 2153811587508975532L;
    private String roleId;
    private String roleName;

    public String getRoleId() {
        return roleId == null ? "" : roleId.trim();
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName == null ? "" : roleName.trim();
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"roleId\":")
                .append("\"").append(roleId).append("\"");
        sb.append(",\"roleName\":")
                .append("\"").append(roleName).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
